<?php
/**
* Global Color Settings.
*
* @package Home Construction Builder
*/

$home_construction_builder_default = home_construction_builder_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'home_construction_builder_global_color_setting',
	array(
	'title'      => esc_html__( 'Global Color Settings', 'home-construction-builder' ),
	'priority'   => 1,
	'capability' => 'edit_theme_options',
	'panel'      => 'home_construction_builder_theme_option_panel',
	)
);

$wp_customize->add_setting( 'home_construction_builder_global_color',
    array(
    'default'           => '#E74216',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'home_construction_builder_global_color',
    array(
        'label'      => esc_html__( 'Global Color', 'home-construction-builder' ),
        'section'    => 'home_construction_builder_global_color_setting',
        'settings'   => 'home_construction_builder_global_color',
    ) ) 
);


$wp_customize->add_setting( 'home_construction_builder_secondary_color',
    array(
    'default'           => '#FFC527',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'home_construction_builder_secondary_color',
    array(
        'label'      => esc_html__( 'Secondary Color', 'home-construction-builder' ),
        'section'    => 'home_construction_builder_global_color_setting',
        'settings'   => 'home_construction_builder_secondary_color',
    ) ) 
);